Bug 984676 - Command line cifs mount failing with "Unable to find suitable address."
Command line cifs mount failing with "Unable to find suitable address."
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 12:31 EDT by John William
Modified: 2014-06-18 03:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:54:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John William 2013-07-15 12:31:44 EDT
Description of problem:
Just did a clean install of F19 (from F18) on this machine. F18 installation connected to a CIFS share on a Win7 machine. Same command line mount now fails on F19.

It is possible to connect to the share and browse files from the File Manager (on F19). "smbtree" also shows the machine and the share I am trying to connect to.

Here is what is happening:

On F18:

[root@localhost <userid>]# mount //<machine-name>/Users/<userid> smb -t cifs -o sec=ntlm,user=<userid>,uid=<userid>

Succeeds and mounts the share in the smb directory.

On F19:

[root@localhost <userid>]# mount //<machine-name>/Users/<userid> smb -t cifs -o sec=ntlm,user=<userid>,uid=<userid>

Fails with "mount error: could not resolve address for <machine-name>: unknown error".

[root@localhost <userid>]# mount //10.0.0.1/Users/<userid> smb -t cifs -o sec=ntlm,user=<userid>,uid=<userid>

Fails with "Unable to find suitable address".

This was a clean install of F19 with no packages added or removed,


Version-Release number of selected component (if applicable):
kernel-3.9.9-302.fc19.x86_64
libsmbclient-4.0.7-1.fc19.x86_64
gvfs-smb-1.16.3-2.fc19.x86_64
cifs-utils-6.1-1.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. See above.
2. Command line mounts always fail. File Manager mounts seem to always succeed.
3.

Actual results:
Unable to use command-line mounts.

Expected results:
Command line mount to work as it did in F18.

Additional info:
Comment 1 John William 2013-08-30 22:25:08 EDT
It looks like this is related to other Fedora changes in the distribution. Adding IP=xx.xx.xx.xx to the mount command line seems to allow the mount to proceed normally.
Comment 2 Jeff Layton 2013-09-16 09:31:59 EDT
Is this still a problem with more recent kernels? If so, can you retry the mount command with the '-v' flag and post the output here?
Comment 3 Josh Boyer 2013-10-08 12:54:27 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 4 whit 2014-05-30 11:50:40 EDT
I'm seeing what looks like the same thing on Fedora 20.

[root@fedora mnt]# mount -t cifs //192.168.1.27/XYZ /mnt/tmp -o user=someuser -v
Password for someuser@//192.168.1.27/XYZ:  *******
mount.cifs kernel mount options: ip=192.168.1.27,unc=\\192.168.1.27\XYZ,user=someuser,pass=********
Unable to find suitable address.

This is a mount that works fine the same way on CentOS and Ubuntu systems.

Also, it works elsewhere giving the domain name rather than the IP, but here:

root@fedora mnt]# mount -t cifs //ZYZ-S05.abc.local/XYZ /mnt/tmp -o user=someuser -v
mount error: could not resolve address for XYZ-S05.abc.local: Unknown error

which is a strange error since the address resolves fine:

[root@fedora mnt]# dig XYZ-S05.abc.local

...
;; ANSWER SECTION:
XYZ-S05.abc.local. 3600    IN      A       192.168.1.27
...

This is kernel 3.13.9-200.fc20.x86_64.

What, by the way, is a "suitable address" in this context?
Comment 5 Josh Boyer 2014-05-30 12:17:59 EDT
Please open a new bug, but before you do please try the 3.14.4 update in F20 updates stable.

Note You need to log in before you can comment on or make changes to this bug.